Skip to main content
GET
Get the Monitor run in progress

Authorizations

Authorization
string
header
required

Itoflow access token issued for the Itoflow API.

Path Parameters

id
string<uuid>
required

Monitor UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Active queued or running monitor execution

completed_at
string | null
required
execution_id
string<uuid>
required

Monitor execution UUID. Use this value for the reports/{reportId} detail path; it is distinct from report_id.

queued_at
string
required
report_date
string
required
run_type
enum<string>
required
Available options:
manual,
scheduled
started_at
string | null
required
status
enum<string>
required
Available options:
queued,
running
superseded_at
string | null
required
watchlist_id
string<uuid>
required
watchlist_version_id
string<uuid>
required
error_message
string | null
task_id
string | null